## org.apache.felix.httplite.osgi
Class Activator

    java.lang.Object
      org.apache.felix.httplite.osgi.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator

extends java.lang.Object
implements org.osgi.framework.BundleActivator

Activator for org.apache.felix.http.lightweight HTTP Service implementation. The activator will read in system properties that are relevant to the service and register the HttpService in the service registry.

Constructor Summary
`Activator()`

Method Summary
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Activator

    public Activator()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `java.lang.Exception`

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.